# Interface Glyph

All Known Implementing Classes:
  `DrawingGlyph, GraphicsGlyph, LineGlyph`

public interface Glyph
Represents an uncoloured shape to be drawn, typically a small point marker. Any colouring is done outside of methods of this object.

Since:
  12 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Pixer`
`createPixer(Rectangle clip)`
Returns an iterator over pixel offsets for this glyph's shape, considered to be at the origin.
`void`
`paintGlyph(Graphics g)`
Paints a representation of a point considered to be at the origin.

## Method Details

### paintGlyph

void paintGlyph(Graphics g)
Paints a representation of a point considered to be at the origin. Typically this means the painting is centred at that point.

Parameters:
  `g` - graphics context

### createPixer

Pixer createPixer(Rectangle clip)
Returns an iterator over pixel offsets for this glyph's shape, considered to be at the origin. Typically this means the pixel collection is centred at that point. The returned iterator must not include any points outside of the given clip rectangle. A null return indicates that no pixels fall within the given clip.

Parameters:
  `clip` - clip rectangle
Returns:
  pixel iterator for the intersection of this glyph's shape and the given clip, or null for no pixels